<?php

	lt_include(PLOG_CLASS_PATH."class/data/validator/validator.class.php");
	lt_include(PLOG_CLASS_PATH."class/data/validator/rules/regexprule.class.php");

    define("HEXADECIMAL_RULE_REG_EXP", "^[a-z0-9]+$");

    /**
     * \ingroup Validator
     *
     * Checks that a string only contains hexadecimal characters
     *
     * @see RegExpRule
     */
    class CodeValidator extends Validator {
    	function CodeValidator(){
        	$this->Validator();
            $this->addRule(new RegExpRule(HEXADECIMAL_RULE_REG_EXP));
        }
    }
?>